uu_env(1)

NAME
uu_env - Set each NAME to VALUE in the environment and run COMMAND

SYNOPSIS
uu_env [-i|--ignore-environment] [-C|--chdir] [-0|--null] [-f|--file] [-u|--unset] [-v|--debug]... [-S|--split-string] [-a|--argv0] [--ignore-signal] [-h|--help] [-V|--version] [vars]

DESCRIPTION
Set each NAME to VALUE in the environment and run COMMAND

OPTIONS

-i, --ignore-environment
    start with an empty environment

-C, --chdir=DIR
    change working directory to DIR

-0, --null
    end each output line with a 0 byte rather than a newline (only valid when printing the environment)

-f, --file=PATH
    read and set variables from a ".env"-style configuration file (prior to any unset and/or set)

-u, --unset=NAME
    remove variable from the environment

-v, --debug
    print verbose information for each processing step

-S, --split-string=S
    process and split S into separate arguments; used to pass multiple arguments on shebang lines

-a, --argv0=a
    Override the zeroth argument passed to the command being executed. Without this option a default value of `command` is used.

--ignore-signal=SIG
    set handling of SIG signal(s) to do nothing

-h, --help
    Print help

-V, --version
    Print version

[vars]

EXTRA
A mere - implies -i. If no COMMAND, print the resulting environment.

VERSION
v0.0.27